package com.iamberry.wechat.core.entity.rent;

import java.io.Serializable;
import java.util.Date;

/**
 * 1.1.9    租赁类型表               
 * 2017年3月9日
 * @author LJK
 */
public class RentTypeInfo implements Serializable{
    
    private static final long serialVersionUID = -6797401568152148446L;
    private Integer typeId;//Id
    private String typeName;           //租赁类型名称        如：租一年
    private Integer typeDuration;//时长
    private Integer typeMoney;//租赁类型金额
    private String typeRemark;//备注
    private Date typeCreateTime;//创建时间
    private Integer typeWaterNum;	//租赁总水量
    private Integer typePledgeMoney;	//租赁押金
    private Integer typeServiceMoney;	//租赁服务费
    private Integer typeStatus;	//状态
    private Integer typePayDuration;    //租赁支付时长（不包含赠送时长）
    
    public Integer getTypeStatus() {
		return typeStatus;
	}
	public void setTypeStatus(Integer typeStatus) {
		this.typeStatus = typeStatus;
	}
	public Integer getTypePledgeMoney() {
		return typePledgeMoney;
	}
	public void setTypePledgeMoney(Integer typePledgeMoney) {
		this.typePledgeMoney = typePledgeMoney;
	}
	public Integer getTypeServiceMoney() {
		return typeServiceMoney;
	}
	public void setTypeServiceMoney(Integer typeServiceMoney) {
		this.typeServiceMoney = typeServiceMoney;
	}
	public Integer getTypeWaterNum() {
		return typeWaterNum;
	}
	public void setTypeWaterNum(Integer typeWaterNum) {
		this.typeWaterNum = typeWaterNum;
	}
	public Integer getTypeId() {
        return typeId;
    }
    public void setTypeId(Integer typeId) {
        this.typeId = typeId;
    }
    public String getTypeName() {
        return typeName;
    }
    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }
    public Integer getTypeDuration() {
        return typeDuration;
    }
    public void setTypeDuration(Integer typeDuration) {
        this.typeDuration = typeDuration;
    }
    public Integer getTypeMoney() {
        return typeMoney;
    }
    public void setTypeMoney(Integer typeMoney) {
        this.typeMoney = typeMoney;
    }
    public String getTypeRemark() {
        return typeRemark;
    }
    public void setTypeRemark(String typeRemark) {
        this.typeRemark = typeRemark;
    }
    public Date getTypeCreateTime() {
        return typeCreateTime;
    }
    public void setTypeCreateTime(Date typeCreateTime) {
        this.typeCreateTime = typeCreateTime;
    }

    public Integer getTypePayDuration() {
        return typePayDuration;
    }

    public void setTypePayDuration(Integer typePayDuration) {
        this.typePayDuration = typePayDuration;
    }

    @Override
    public String toString() {
        return "RentTypeInfo{" +
                "typeId=" + typeId +
                ", typeName='" + typeName + '\'' +
                ", typeDuration=" + typeDuration +
                ", typeMoney=" + typeMoney +
                ", typeRemark='" + typeRemark + '\'' +
                ", typeCreateTime=" + typeCreateTime +
                ", typeWaterNum=" + typeWaterNum +
                ", typePledgeMoney=" + typePledgeMoney +
                ", typeServiceMoney=" + typeServiceMoney +
                ", typeStatus=" + typeStatus +
                ", typePayDuration=" + typePayDuration +
                '}';
    }
}
